No waveform if driver is blacklisted

Bug #1825461 reported by Rod Smart
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Mixxx
High
Daniel Schürmann

Bug Description

Version 2.2.0
When a track is loaded the green cue line displays in the center of the waveform area at the top of the display. To the left of this cue line are yellow triangles all the way to the left side of the display. To the right are a set of vertical white lines all the way across to the right side of the display. When the track starts playing the triangles and vertical lines scroll from right to left until only vertical lines remain. From then on only vertical lines scroll across the display. There is no waveform. I have tried all the possible API in preferences with the same result.
Waveforms are visible in each deck, but not at the top of the display.
Running Windows 7 Professional 64 Bit, Intel Core I7 3.40Ghz, 16Gb RAM ASUS Deluxe MB, Onboard Realtek High Def Audio with driver version 6.0.1.6251.
Graphics is onboard generic PnP monitor 1920 x 1080 Res.

Also running Mixxx 2.2.0 on my Windows 10 notebook with same library and Mixxx file from app data. Waveform is working properly.

Revision history for this message
Rod Smart (rockinrod) wrote :
Revision history for this message
Foss-4 (foss-4) wrote :
Changed in mixxx:
importance: Undecided → High
tags: added: waveform windows
Revision history for this message
Daniel Schürmann (daschuer) wrote :

> dupe of https://bugs.launchpad.net/mixxx/+bug/1824620 ?

I think not, bacause here only the waveform data is missing, but the overlays are visible.

Revision history for this message
Daniel Schürmann (daschuer) wrote :

Please try to alter the waveform types in preferences.
Are all types effected? Are all skins effected?

These entries are interesting
Debug [Main]: "Error: Unable to import console: no such extension"
Debug [Main]: "Error: Unable to import svg: no such extension"

Please attache another mixxx.log that includes playing a track with the described issue visible.

Revision history for this message
Rod Smart (rockinrod) wrote : Re: [Bug 1825461] Re: Scrolling waveform is missing
  • mixxx.log Edit (31.9 KiB, application/octet-stream; name="mixxx.log")

Selecting different waveforms gave the following results.
Empty: Nothing Displayed
Filtered (GLSL): Nothing Displayed
RGB(GLSL): Nothing Displayed

HSV: Scrolling Waveform
RGB: Scrolling Waveform
Filtered - Software: Scrolling Waveform
Simple - QT: Scrolling Waveform
Filtered - QT: Scrolling Waveform

Simple - GL: Scrolling Vertical Lines Only
Filtered - GL: Scrolling Vertical Lines Only
RGB(GL): Scrolling Vertical Lines Only

The results seemed to be the same on each skin.

________________________________
From: <email address hidden> <email address hidden> on behalf of Daniel Schürmann <email address hidden>
Sent: Saturday, 20 April 2019 9:50 PM
To: <email address hidden>
Subject: [Bug 1825461] Re: Scrolling waveform is missing

Please try to alter the waveform types in preferences.
Are all types effected? Are all skins effected?

These entries are interesting
Debug [Main]: "Error: Unable to import console: no such extension"
Debug [Main]: "Error: Unable to import svg: no such extension"

Please attache another mixxx.log that includes playing a track with the
described issue visible.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1825461

Title:
  Scrolling waveform is missing

Status in Mixxx:
  New

Bug description:
  Version 2.2.0
  When a track is loaded the green cue line displays in the center of the waveform area at the top of the display. To the left of this cue line are yellow triangles all the way to the left side of the display. To the right are a set of vertical white lines all the way across to the right side of the display. When the track starts playing the triangles and vertical lines scroll from right to left until only vertical lines remain. From then on only vertical lines scroll across the display. There is no waveform. I have tried all the possible API in preferences with the same result.
  Waveforms are visible in each deck, but not at the top of the display.
  Running Windows 7 Professional 64 Bit, Intel Core I7 3.40Ghz, 16Gb RAM ASUS Deluxe MB, Onboard Realtek High Def Audio with driver version 6.0.1.6251.
  Graphics is onboard generic PnP monitor 1920 x 1080 Res.

  Also running Mixxx 2.2.0 on my Windows 10 notebook with same library
  and Mixxx file from app data. Waveform is working properly.

To manage notifications about this bug go to:
https://bugs.launchpad.net/mixxx/+bug/1825461/+subscriptions

Revision history for this message
Daniel Schürmann (daschuer) wrote : Re: Scrolling waveform is missing

Debug [Main]: Created QGLWidget. Context Valid: true Sharing: true
Debug [Main]: GLWaveformRendererSignalShader::loadShaders
Warning [Main]: QGLShader::compile(Vertex): ERROR: 0:5: 'gl_TexCoord' : undeclared identifier
ERROR: 0:5: 'gl_TexCoord' : left of '[' is not of type array, matrix, or vector
ERROR: 0:5: 'gl_MultiTexCoord0' : undeclared identifier
ERROR: 0:6: 'gl_ModelViewProjectionMatrix' : undeclared identifier
ERROR: 0:6: 'gl_Vertex' : undeclared identifier
ERROR: 0:6: 'assign' : cannot convert from 'float' to 'Position highp 4-component vector of float'

Debug [Main]: GLWaveformRendererSignalShader::loadShaders - "ERROR: 0:5: 'gl_TexCoord' : undeclared identifier \nERROR: 0:5: 'gl_TexCoord' : left of '[' is not of type array, matrix, or vector \nERROR: 0:5: 'gl_MultiTexCoord0' : undeclared identifier \nERROR: 0:6: 'gl_ModelViewProjectionMatrix' : undeclared identifier \nERROR: 0:6: 'gl_Vertex' : undeclared identifier \nERROR: 0:6: 'assign' : cannot convert from 'float' to 'Position highp 4-component vector of float'\n"
Warning [Main]: failed to init WafeformWidget 12 fall back to "Empty"

Revision history for this message
Daniel Schürmann (daschuer) wrote :

Which graphic card and driver do you use?
Is Mixxx 2.1.8 also effected?

Revision history for this message
Daniel Schürmann (daschuer) wrote :
Revision history for this message
Rod Smart (rockinrod) wrote : Re: [Bug 1825461] Re: Scrolling waveform is missing

I don’t have stand alone soundcard. The soundcard is “Realtek high definition” on board an Asus high performance MB. The Realtek driver is version 6.0.1.6251.
I will test v2.2.1 later on today.

Sent from my iPhone

> On 23 Apr 2019, at 2:10 am, Daniel Schürmann <email address hidden> wrote:
>
> Is the 2.2.1 release candidate effected?
> http://downloads.mixxx.org/builds/2.2/release/mixxx-2.2.1-2.2-git6690-release-x64.exe
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1825461
>
> Title:
> Scrolling waveform is missing
>
> Status in Mixxx:
> New
>
> Bug description:
> Version 2.2.0
> When a track is loaded the green cue line displays in the center of the waveform area at the top of the display. To the left of this cue line are yellow triangles all the way to the left side of the display. To the right are a set of vertical white lines all the way across to the right side of the display. When the track starts playing the triangles and vertical lines scroll from right to left until only vertical lines remain. From then on only vertical lines scroll across the display. There is no waveform. I have tried all the possible API in preferences with the same result.
> Waveforms are visible in each deck, but not at the top of the display.
> Running Windows 7 Professional 64 Bit, Intel Core I7 3.40Ghz, 16Gb RAM ASUS Deluxe MB, Onboard Realtek High Def Audio with driver version 6.0.1.6251.
> Graphics is onboard generic PnP monitor 1920 x 1080 Res.
>
> Also running Mixxx 2.2.0 on my Windows 10 notebook with same library
> and Mixxx file from app data. Waveform is working properly.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mixxx/+bug/1825461/+subscriptions

Revision history for this message
Daniel Schürmann (daschuer) wrote : Re: Scrolling waveform is missing

And which graphic card and driver do you use?
Which GL version is reported in the waveforms preferences? With Mixxx 2.2.x and Mixxx 2.1.8

I can reproduce the same issue in my win 10 running in a virtual box.
The GL version is blank in my case.
Mixxx 2.1.8 is reporting GL 1.1

Revision history for this message
Rod Smart (rockinrod) wrote : Re: [Bug 1825461] Re: Scrolling waveform is missing

On board graphics also. "Intel HD Graphics 3000". Driver version 9.17.10.4229.
I have the same issue with Mixxx 2.2.1.
I cannot find GL version in my waveform preferences. I can see "Open GL Status" which is blank in 2.2.0 and 2.2.1.
Loaded 2.1.8, no problem with waveforms. "Open GL Status" 3.1.
I am glad you can reproduce the error.

________________________________
From: <email address hidden> <email address hidden> on behalf of Daniel Schürmann <email address hidden>
Sent: Tuesday, 23 April 2019 4:23 PM
To: <email address hidden>
Subject: [Bug 1825461] Re: Scrolling waveform is missing

And which graphic card and driver do you use?
Which GL version is reported in the waveforms preferences? With Mixxx 2.2.x and Mixxx 2.1.8

I can reproduce the same issue in my win 10 running in a virtual box.
The GL version is blank in my case.
Mixxx 2.1.8 is reporting GL 1.1

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1825461

Title:
  Scrolling waveform is missing

Status in Mixxx:
  New

Bug description:
  Version 2.2.0
  When a track is loaded the green cue line displays in the center of the waveform area at the top of the display. To the left of this cue line are yellow triangles all the way to the left side of the display. To the right are a set of vertical white lines all the way across to the right side of the display. When the track starts playing the triangles and vertical lines scroll from right to left until only vertical lines remain. From then on only vertical lines scroll across the display. There is no waveform. I have tried all the possible API in preferences with the same result.
  Waveforms are visible in each deck, but not at the top of the display.
  Running Windows 7 Professional 64 Bit, Intel Core I7 3.40Ghz, 16Gb RAM ASUS Deluxe MB, Onboard Realtek High Def Audio with driver version 6.0.1.6251.
  Graphics is onboard generic PnP monitor 1920 x 1080 Res.

  Also running Mixxx 2.2.0 on my Windows 10 notebook with same library
  and Mixxx file from app data. Waveform is working properly.

To manage notifications about this bug go to:
https://bugs.launchpad.net/mixxx/+bug/1825461/+subscriptions

Changed in mixxx:
status: New → In Progress
milestone: none → 2.2.2
assignee: nobody → Daniel Schürmann (daschuer)
Revision history for this message
Daniel Schürmann (daschuer) wrote : Re: Scrolling waveform is missing

For some reasons QT decides in Qt5 to use the GL ES render instead of pain GL.
It uses a translator to convert GL ES into direct 3 d.
Only the QT Waveforms are Hardware accelerated in this state.

Please try the following.

open "cmd" from your search bar

enter:

cd "C:/Program Files/Mixxx"
set QT_OPENGL=desktop
mixxx.exe

check if the GL waveforms are working now.

Revision history for this message
Daniel Schürmann (daschuer) wrote :

@rockinrod: Your driver is blacklisted here because of a possible crash:
https://github.com/qt/qtbase/blob/dev/src/plugins/platforms/windows/openglblacklists/default.json

Revision history for this message
Rod Smart (rockinrod) wrote : Re: [Bug 1825461] Re: Scrolling waveform is missing

Yes that made the waveforms work correctly in 2.2.1. Only until I rebooted of course.

________________________________
From: <email address hidden> <email address hidden> on behalf of Daniel Schürmann <email address hidden>
Sent: Saturday, 27 April 2019 8:08 AM
To: <email address hidden>
Subject: [Bug 1825461] Re: Scrolling waveform is missing

For some reasons QT decides in Qt5 to use the GL ES render instead of pain GL.
It uses a translator to convert GL ES into direct 3 d.
Only the QT Waveforms are Hardware accelerated in this state.

Please try the following.

open "cmd" from your search bar

enter:

cd "C:/Program Files/Mixxx"
set QT_OPENGL=desktop
mixxx.exe

check if the GL waveforms are working now.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1825461

Title:
  Scrolling waveform is missing

Status in Mixxx:
  In Progress

Bug description:
  Version 2.2.0
  When a track is loaded the green cue line displays in the center of the waveform area at the top of the display. To the left of this cue line are yellow triangles all the way to the left side of the display. To the right are a set of vertical white lines all the way across to the right side of the display. When the track starts playing the triangles and vertical lines scroll from right to left until only vertical lines remain. From then on only vertical lines scroll across the display. There is no waveform. I have tried all the possible API in preferences with the same result.
  Waveforms are visible in each deck, but not at the top of the display.
  Running Windows 7 Professional 64 Bit, Intel Core I7 3.40Ghz, 16Gb RAM ASUS Deluxe MB, Onboard Realtek High Def Audio with driver version 6.0.1.6251.
  Graphics is onboard generic PnP monitor 1920 x 1080 Res.

  Also running Mixxx 2.2.0 on my Windows 10 notebook with same library
  and Mixxx file from app data. Waveform is working properly.

To manage notifications about this bug go to:
https://bugs.launchpad.net/mixxx/+bug/1825461/+subscriptions

Revision history for this message
Rod Smart (rockinrod) wrote :

Is it simply a matter of upgrading my driver to fix the problem.

________________________________
From: <email address hidden> <email address hidden> on behalf of Daniel Schürmann <email address hidden>
Sent: Saturday, 27 April 2019 8:36 AM
To: <email address hidden>
Subject: [Bug 1825461] Re: Scrolling waveform is missing

@rockinrod: Your driver is blacklisted here because of a possible crash:
https://github.com/qt/qtbase/blob/dev/src/plugins/platforms/windows/openglblacklists/default.json

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1825461

Title:
  Scrolling waveform is missing

Status in Mixxx:
  In Progress

Bug description:
  Version 2.2.0
  When a track is loaded the green cue line displays in the center of the waveform area at the top of the display. To the left of this cue line are yellow triangles all the way to the left side of the display. To the right are a set of vertical white lines all the way across to the right side of the display. When the track starts playing the triangles and vertical lines scroll from right to left until only vertical lines remain. From then on only vertical lines scroll across the display. There is no waveform. I have tried all the possible API in preferences with the same result.
  Waveforms are visible in each deck, but not at the top of the display.
  Running Windows 7 Professional 64 Bit, Intel Core I7 3.40Ghz, 16Gb RAM ASUS Deluxe MB, Onboard Realtek High Def Audio with driver version 6.0.1.6251.
  Graphics is onboard generic PnP monitor 1920 x 1080 Res.

  Also running Mixxx 2.2.0 on my Windows 10 notebook with same library
  and Mixxx file from app data. Waveform is working properly.

To manage notifications about this bug go to:
https://bugs.launchpad.net/mixxx/+bug/1825461/+subscriptions

Revision history for this message
Daniel Schürmann (daschuer) wrote : Re: Scrolling waveform is missing

I am afraid any version of your driver is blacklisted.
If you not suffering the crash, you can set QT_OPENGL=desktop system wide.
https://superuser.com/questions/949560/how-do-i-set-system-environment-variables-in-windows-10

Revision history for this message
Rod Smart (rockinrod) wrote : Re: [Bug 1825461] Re: Scrolling waveform is missing

Yes, that works. No crashes.
That explains why it works on some machines and not on others.
Thanks for your help.

Sent from my iPhone

> On 28 Apr 2019, at 1:55 am, Daniel Schürmann <email address hidden> wrote:
>
> I am afraid any version of your driver is blacklisted.
> If you not suffering the crash, you can set QT_OPENGL=desktop system wide.
> https://superuser.com/questions/949560/how-do-i-set-system-environment-variables-in-windows-10
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1825461
>
> Title:
> Scrolling waveform is missing
>
> Status in Mixxx:
> In Progress
>
> Bug description:
> Version 2.2.0
> When a track is loaded the green cue line displays in the center of the waveform area at the top of the display. To the left of this cue line are yellow triangles all the way to the left side of the display. To the right are a set of vertical white lines all the way across to the right side of the display. When the track starts playing the triangles and vertical lines scroll from right to left until only vertical lines remain. From then on only vertical lines scroll across the display. There is no waveform. I have tried all the possible API in preferences with the same result.
> Waveforms are visible in each deck, but not at the top of the display.
> Running Windows 7 Professional 64 Bit, Intel Core I7 3.40Ghz, 16Gb RAM ASUS Deluxe MB, Onboard Realtek High Def Audio with driver version 6.0.1.6251.
> Graphics is onboard generic PnP monitor 1920 x 1080 Res.
>
> Also running Mixxx 2.2.0 on my Windows 10 notebook with same library
> and Mixxx file from app data. Waveform is working properly.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mixxx/+bug/1825461/+subscriptions

Changed in mixxx:
status: In Progress → Won't Fix
summary: - Scrolling waveform is missing
+ No waveform if driver is blacklisted
Uwe Klotz (uklotzde)
Changed in mixxx:
milestone: 2.2.2 → 2.2.3
milestone: 2.2.3 → none
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers